Bug 1312819 - Can not add Environment Variables on buildconfig edit page
Can not add Environment Variables on buildconfig edit page
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console (Show other bugs)
3.2.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jakub Hadvig
yapei
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-29 05:28 EST by yapei
Modified: 2016-05-12 12:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 12:30:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description yapei 2016-02-29 05:28:32 EST
Description of problem:
On buildconfig edit page, When click "Add" to Environment Variables, env vars couldn't be added

Version-Release number of selected component (if applicable):
oc v3.1.1.907-1-g0755947
kubernetes v1.2.0-alpha.7-703-gbc4550d

How reproducible:
Always

Steps to Reproduce:
1. Create application via web console
2. Browse -> Builds -> <bc_name> -> Edit -> Environment Variables -> Input Name/Value -> Add

Actual results:
2. Click on "Add" button for Environment Variables didn't get response, env vars are not added

Expected results:
2. Environment Variables should be added successfully

Additional info:
Comment 1 Jakub Hadvig 2016-02-29 16:50:38 EST
Fixed in : https://github.com/openshift/origin/pull/7691
Comment 2 yapei 2016-03-01 02:29:33 EST
will check when devenv-rhel7_3570 is ready
Comment 3 yapei 2016-03-01 20:40:23 EST
will check when new OSE puddle is ready
Comment 4 yapei 2016-03-02 21:28:44 EST
checked on 2016-03-02.2 puddle, issue is fixed, could add env vars successfully now

move to VERIFIED
Comment 6 errata-xmlrpc 2016-05-12 12:30:36 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2016:1064

Note You need to log in before you can comment on or make changes to this bug.